#pragma once

#include "esphome/core/component.h"
#include "esphome/components/cover/cover.h"
#include "bcm500ds.h"

namespace esphome {
namespace tuya_cover {

class tuyaCover : public cover::Cover, public Component {
 public:
  void setup() override;
  void loop() override;
  void dump_config() override;
  cover::CoverTraits get_traits() override;
  
  

 protected:
  void control(const cover::CoverCall &call) override;
};


}  // namespace tuya_cover
}  // namespace esphome